#include "fugg.h"

namespace fugg {
    class Client {
        Client();

    public:
        static Client& instance();

        Client(Client const&) = delete;
        void operator=(Client const&) = delete;

        void initialise();
        // Execute the `main` function of the flyff-client. 
        int main() const;
    };
}